#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 keys
version:              3.12.3
visibility:           public
id:                   keys-3.12.3-FfNm19cXXPWGVDm2ZF09K0
key:                  keys-3.12.3-FfNm19cXXPWGVDm2ZF09K0
license:              BSD-3-Clause
copyright:            Copyright (C) 2011-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/keys/
synopsis:             Keyed functors and containers
description:
    This package provides a bunch of ad hoc classes for accessing parts of a container.

    In practice this package is largely subsumed by the
    <https://hackage.haskell.org/package/lens lens package>,
    but it is maintained for now as it has much
    simpler dependencies.

category:             Data Structures, Containers
abi:                  7d51c14b6a6b9cfebc183b30466dc44f
exposed:              True
exposed-modules:      Data.Key
import-dirs:          /usr/lib/ghc-9.0.1/site-local/keys-3.12.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/keys-3.12.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/keys-3.12.3
hs-libraries:         HSkeys-3.12.3-FfNm19cXXPWGVDm2ZF09K0
depends:
    array-0.5.4.0 base-4.15.0.0 comonad-5.0.8-HHOErjgv4DkKDXTwvPSysS
    containers-0.6.4.1 free-5.1.7-5kRRbD9KMxr2v8MxYwp3zx
    hashable-1.3.3.0-42gRc2xLctC1JaYfPjkrlX
    semigroupoids-5.3.6-9zlBD90yg7oK0Q449IQTqy
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 transformers-0.5.6.2
    transformers-compat-0.7.1-27E2wCklav6CMkj1Ns7rzE
    unordered-containers-0.2.14.0-7mG6qiSFB7aBJ8f89E596e

haddock-interfaces:   /usr/share/doc/haskell-keys/html/keys.haddock
haddock-html:         /usr/share/doc/haskell-keys/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

